Subject: Ticket Assigned - Returns
From: Max <[email-masked]>
To: [email-masked]
Date: Mon, 21 Sep 2020 05:19:34 +0000

Hi Rehan Khan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns The very worst experience with max ! Received an extra package! A package supposed to be for someone else ! This was by end of May 2020 !! Now we are in September !! I called and sent emails but no body came to pick up the box !! 

2 of your representatives assured me to collect the box but no action was taken ! How long do i have to keep it ?!?? 

My name is hamda alsuwaidi, please contact me to pick up the items since they are not mine and I didn’t pay for them !! I am sick of calling and sending emails ! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1496774